package com.knecon.fforesight.service.layoutparser.processor.model.text;

import com.knecon.fforesight.service.layoutparser.processor.model.FloatFrequencyCounter;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

@Getter
@NoArgsConstructor
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
public class FrequencyCounters {

    FloatFrequencyCounter lineHeightFrequencyCounter = new FloatFrequencyCounter();
    FloatFrequencyCounter fontSizeFrequencyCounter = new FloatFrequencyCounter();
    FloatFrequencyCounter spaceFrequencyCounter = new FloatFrequencyCounter();
    StringFrequencyCounter fontFrequencyCounter = new StringFrequencyCounter();
    StringFrequencyCounter styleFrequencyCounter = new StringFrequencyCounter();

}
